- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# FileExtension Class Reference

Search for all occurrences

## Detailed Description

This class encapsulates the file extension information for importers & exporeters.

Examples:

  PLYImport/Importer.cpp, and PtexImporter/PtexImporter.h.

Definition at line 18 of file importexport.h.

`#include <importexport.h>`

List of all members.

## Public Types
enum | Flags { flagNoTextureCoordinates = 1, flagNoVertexColors = 2, flagNoVertexNormals = 4 }
## Public Member Functions
| FileExtension (void)
| FileExtension (const QString &sExtension, const QString &sDescription, enum Image::Format eImageFormat=Image::eUnknown)
| FileExtension (const QString &sExtension, const QString &sDescription, enum Flags eFlags)
| FileExtension (const FileExtension &)
QString | Extension (void) const
QString | Description (void) const
enum Image::Format | ImageFormat (void) const
enum Flags | Flags (void)

## Member Enumeration Documentation

enum Flags

Search for all occurrences

Enumerator:

  flagNoTextureCoordinates | Search for all occurrences
  flagNoVertexColors | The file format does not contain texture coordinates. Search for all occurrences
  flagNoVertexNormals | The file format does not contain vertex colors. Search for all occurrences

Definition at line 21 of file importexport.h.

        {
            flagNoTextureCoordinates = 1,
            flagNoVertexColors = 2,
            flagNoVertexNormals = 4
        };

## Constructor & Destructor Documentation

FileExtension | ( | void |  | ) | `[inline]`

Definition at line 35 of file importexport.h.

    {};

FileExtension | ( | const QString & | sExtension,
|  | const QString & | sDescription,
|  | enum Image::Format | eImageFormat = `Image::eUnknown`
| ) |  |

FileExtension | ( | const QString & | sExtension,
|  | const QString & | sDescription,
|  | enum Flags | eFlags
| ) |  |

FileExtension | ( | const FileExtension & |  | ) |

## Member Function Documentation

QString Extension | ( | void |  | ) | const `[inline]`

Search for all occurrences

Definition at line 39 of file importexport.h.

    { return m_sExtension; }

QString Description | ( | void |  | ) | const `[inline]`

Search for all occurrences

Definition at line 40 of file importexport.h.

    { return m_sDescription; }

enum Image::Format ImageFormat | ( | void |  | ) | const `[inline]`

Search for all occurrences

Definition at line 41 of file importexport.h.

    { return m_eImageFormat; }

enum Flags Flags | ( | void |  | ) | `[inline]`

Search for all occurrences

Definition at line 42 of file importexport.h.

    { return m_eFlags; };

The documentation for this class was generated from the following file:

- Mudbox/importexport.h

FileExtension FileExtension FileExtension FileExtension FileExtension FileExtension FileExtension FileExtension FileExtension FileExtension
FileExtension FileExtension FileExtension FileExtension FileExtension FileExtension FileExtension FileExtension FileExtension FileExtension